# CbcPartialNodeInfo Class Reference

Holds information for recreating a subproblem by incremental change from the parent. More...

`#include <CbcPartialNodeInfo.hpp>`

Inheritance diagram for CbcPartialNodeInfo:
[legend]
Collaboration diagram for CbcPartialNodeInfo:
[legend]

List of all members.

## Public Member Functions
virtual void | applyToModel (CbcModel *model, CoinWarmStartBasis *&basis, CbcCountRowCut **addCuts, int &currentNumberCuts) const
| Modify model according to information at node.
virtual int | applyBounds (int iColumn, double &lower, double &upper, int force)
| Just apply bounds to one variable - force means overwrite by lower,upper (1=>infeasible).
virtual CbcNodeInfo * | buildRowBasis (CoinWarmStartBasis &basis) const
| Builds up row basis backwards (until original model).
| CbcPartialNodeInfo ()
| CbcPartialNodeInfo (CbcNodeInfo *parent, CbcNode *owner, int numberChangedBounds, const int *variables, const double *boundChanges, const CoinWarmStartDiff *basisDiff)
| CbcPartialNodeInfo (const CbcPartialNodeInfo &)
| ~CbcPartialNodeInfo ()
virtual CbcNodeInfo * | clone () const
| Clone.
const CoinWarmStartDiff * | basisDiff () const
| Basis diff information.
const int * | variables () const
| Which variable (top bit if upper bound changing).
const double * | newBounds () const
int | numberChangedBounds () const
| Number of bound changes.
## Protected Attributes
CoinWarmStartDiff * | basisDiff_
| Basis diff information.
int * | variables_
| Which variable (top bit if upper bound changing).
double * | newBounds_
int | numberChangedBounds_
| Number of bound changes.
## Private Member Functions
CbcPartialNodeInfo & | operator= (const CbcPartialNodeInfo &rhs)
| Illegal Assignment operator.

## Detailed Description

Holds information for recreating a subproblem by incremental change from the parent.

A CbcPartialNodeInfo object contains changes to the bounds and basis, and additional cuts, required to recreate a subproblem by modifying and augmenting the parent subproblem.

Definition at line 39 of file CbcPartialNodeInfo.hpp.

## Constructor & Destructor Documentation

CbcPartialNodeInfo::CbcPartialNodeInfo | ( |  | ) |

CbcPartialNodeInfo::CbcPartialNodeInfo | ( | CbcNodeInfo * | parent,
|  | CbcNode * | owner,
|  | int | numberChangedBounds,
|  | const int * | variables,
|  | const double * | boundChanges,
|  | const CoinWarmStartDiff * | basisDiff |
| ) |  |  |

CbcPartialNodeInfo::CbcPartialNodeInfo | ( | const CbcPartialNodeInfo & |  | ) |

CbcPartialNodeInfo::~CbcPartialNodeInfo | ( |  | ) |

## Member Function Documentation

virtual void CbcPartialNodeInfo::applyToModel | ( | CbcModel * | model,
|  | CoinWarmStartBasis *& | basis,
|  | CbcCountRowCut ** | addCuts,
|  | int & | currentNumberCuts |
| ) |  |  | const`[virtual]`

Modify model according to information at node.

The routine modifies the model according to bound and basis change information at node and adds any cuts to the addCuts array.

Implements CbcNodeInfo.

virtual int CbcPartialNodeInfo::applyBounds | ( | int | iColumn,
|  | double & | lower,
|  | double & | upper,
|  | int | force |
| ) |  |  | `[virtual]`

Just apply bounds to one variable - force means overwrite by lower,upper (1=>infeasible).

Implements CbcNodeInfo.

virtual CbcNodeInfo* CbcPartialNodeInfo::buildRowBasis | ( | CoinWarmStartBasis & | basis | ) | const`[virtual]`

Builds up row basis backwards (until original model).

Returns NULL or previous one to apply . Depends on Free being 0 and impossible for cuts

Implements CbcNodeInfo.

virtual CbcNodeInfo* CbcPartialNodeInfo::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcNodeInfo.

const CoinWarmStartDiff* CbcPartialNodeInfo::basisDiff | ( |  | ) | const`[inline]`

Basis diff information.

Definition at line 77 of file CbcPartialNodeInfo.hpp.

const int* CbcPartialNodeInfo::variables | ( |  | ) | const`[inline]`

Which variable (top bit if upper bound changing).

Definition at line 81 of file CbcPartialNodeInfo.hpp.

const double* CbcPartialNodeInfo::newBounds | ( |  | ) | const`[inline]`

Definition at line 85 of file CbcPartialNodeInfo.hpp.

int CbcPartialNodeInfo::numberChangedBounds | ( |  | ) | const`[inline]`

Number of bound changes.

Definition at line 89 of file CbcPartialNodeInfo.hpp.

CbcPartialNodeInfo& CbcPartialNodeInfo::operator= | ( | const CbcPartialNodeInfo & | rhs | ) | `[private]`

Illegal Assignment operator.

Reimplemented from CbcNodeInfo.

## Member Data Documentation

CoinWarmStartDiff* CbcPartialNodeInfo::basisDiff_`[protected]`

Basis diff information.

Definition at line 96 of file CbcPartialNodeInfo.hpp.

int* CbcPartialNodeInfo::variables_`[protected]`

Which variable (top bit if upper bound changing).

Definition at line 98 of file CbcPartialNodeInfo.hpp.

double* CbcPartialNodeInfo::newBounds_`[protected]`

Definition at line 100 of file CbcPartialNodeInfo.hpp.

int CbcPartialNodeInfo::numberChangedBounds_`[protected]`

Number of bound changes.

Definition at line 102 of file CbcPartialNodeInfo.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcPartialNodeInfo.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines